onEvent('recipes', e => {

  e.remove({ output: 'woot:si_dust' })
  e.remove({ output: 'woot:machine_casing' })
  e.remove({ output: 'woot:heart' })
  e.remove({ output: 'woot:enchsqueezer' })
  e.remove({ output: 'woot:squeezer' })
  e.remove({ output: 'woot:infuser' })
  e.remove({ output: 'woot:mobshard' })
  e.remove({ output: 'woot:cell_1' })
  e.remove({ output: 'woot:cell_2' })
  e.remove({ output: 'woot:cell_3' })
  e.remove({ output: 'woot:cell_4' })
  e.remove({ output: 'woot:fluidconvertor' })


  e.shaped('2x woot:machine_casing', [
    '111',
    '121',
    '111'
  ], {
    1: 'woot:si_plate', 2: 'kubejs:machineframe'
  })

  e.shaped('woot:heart', [
    '313',
    '121',
    '313'
  ], {
    1: 'woot:machine_casing', 2: 'draconicevolution:dragon_heart', 3: 'bloodmagic:etherealslate'
  })

  e.shaped('woot:enchsqueezer', [
    '323',
    '313',
    '323'
  ], {
    1: 'woot:machine_casing', 2: 'minecraft:sticky_piston', 3: Item.of('minecraft:enchanted_book')
  })

  e.shaped('woot:squeezer', [
    '313',
    '323',
    '313'
  ], {
    1: 'woot:machine_casing', 2: 'industrialforegoing:dye_mixer', 3: '#forge:dyes'
  })

  e.shaped('woot:infuser', [
    '313',
    '323',
    '313'
  ], {
    1: 'woot:machine_casing', 2: 'mekanism:metallurgic_infuser', 3: 'minecraft:sticky_piston'
  })

  e.shaped('woot:mobshard', [
    '313',
    '323',
    '313'
  ], {
    1: 'woot:si_plate', 2: 'draconicevolution:mob_soul', 3: 'woot:prism'
  })

  e.shaped('woot:cell_1', [
    '313',
    '121',
    '313'
  ], {
    1: 'woot:ench_plate_3', 2: 'woot:machine_casing', 3: 'evilcraft:vengeance_essence'
  })

  e.shaped('woot:fluidconvertor', [
    '313',
    '121',
    '313'
  ], {
    1: 'minecraft:bucket', 2: 'woot:machine_casing', 3: 'evilcraft:blood_infusion_core'
  })
})